# Uses of Interface
org.eclipse.ecf.filetransfer.IRemoteFileAttributes

Packages that use IRemoteFileAttributes
Package
Description
org.eclipse.ecf.filetransfer
org.eclipse.ecf.provider.filetransfer.browse

## Uses of IRemoteFileAttributes in org.eclipse.ecf.filetransfer

Methods in org.eclipse.ecf.filetransfer that return IRemoteFileAttributes
Modifier and Type
Method
Description
`IRemoteFileAttributes`
IRemoteFileInfo.`getAttributes()`
Get remote file attributes.
Methods in org.eclipse.ecf.filetransfer with parameters of type IRemoteFileAttributes
Modifier and Type
Method
Description
`void`
IRemoteFileInfo.`setAttributes(IRemoteFileAttributes attributes)`
Set the attributes for this remote file info.

## Uses of IRemoteFileAttributes in org.eclipse.ecf.provider.filetransfer.browse

Classes in org.eclipse.ecf.provider.filetransfer.browse that implement IRemoteFileAttributes
Modifier and Type
Class
Description
`class`
`LocalRemoteFileAttributes`
File attributes for `LocalRemoteFile` instances.
`class`
`URLRemoteFileAttributes`